## GDataPicasaWebComment

GDataPicasaWebComment — GData PicasaWeb comment object

## Stability Level

Unstable, unless otherwise indicated

## Functions

GDataPicasaWebComment * | gdata_picasaweb_comment_new ()

## Types and Values

| GDataPicasaWebComment
| GDataPicasaWebCommentClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataEntry
                ╰── GDataComment
                    ╰── GDataPicasaWebComment

## Includes

    #include <gdata/services/picasaweb/gdata-picasaweb-comment.h>

## Description

GDataPicasaWebComment is a subclass of GDataComment to represent a comment on a GDataPicasaWebFile. It is returned by the GDataCommentable interface implementation on GDataPicasaWebFile.

It's possible to query for, add and delete GDataPicasaWebComments from GDataPicasaWebFiles.

## Functions

### gdata_picasaweb_comment_new ()

    GDataPicasaWebComment *
    gdata_picasaweb_comment_new (const gchar *id);

Creates a new GDataPicasaWebComment with the given ID and default properties.

#### Parameters

id | the comment's ID, or `NULL` |

#### Returns

a new GDataPicasaWebComment; unref with `g_object_unref()`

Since 0.10.0

## Types and Values

### GDataPicasaWebComment

    typedef struct _GDataPicasaWebComment GDataPicasaWebComment;

All the fields in the GDataPicasaWebComment structure are private and should never be accessed directly.

Since 0.10.0

### GDataPicasaWebCommentClass

    typedef struct {
    } GDataPicasaWebCommentClass;

All the fields in the GDataPicasaWebCommentClass structure are private and should never be accessed directly.

Since 0.10.0